Package org.springframework.security.access.method

# Interface MethodSecurityMetadataSource

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `SecurityMetadataSource`

All Known Implementing Classes:
  `AbstractFallbackMethodSecurityMetadataSource`, `AbstractMethodSecurityMetadataSource`, `DelegatingMethodSecurityMetadataSource`, `Jsr250MethodSecurityMetadataSource`, `MapBasedMethodSecurityMetadataSource`, `PrePostAnnotationSecurityMetadataSource`, `SecuredAnnotationSecurityMetadataSource`

@Deprecated public interface MethodSecurityMetadataSource extends SecurityMetadataSource
Deprecated.
Use the `use-authorization-manager` attribute for `<method-security>` and `<intercept-methods>` instead or use annotation-based or `AuthorizationManager`-based authorization
Interface for `SecurityMetadataSource` implementations that are designed to perform lookups keyed on `Method`s.

See Also:
  - `PreAuthorizeAuthorizationManager`
  - `PostAuthorizeAuthorizationManager`

## Method Summary

Modifier and Type
Method
Description
`Collection<ConfigAttribute>`
`getAttributes(Method method, Class<?> targetClass)`
Deprecated.

### Methods inherited from interface org.springframework.security.access.SecurityMetadataSource

`getAllConfigAttributes, getAttributes, supports`

## Method Details

### getAttributes

Collection<ConfigAttribute> getAttributes(Method method, Class<?> targetClass)
Deprecated.